org.eclipse.ease.ui.console.actions

## Class ShowStandardErrorAction

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.jface.action.AbstractAction
    - - org.eclipse.jface.action.Action
      - - org.eclipse.ease.ui.console.actions.ShowWhenContentChangesAction
        - - org.eclipse.ease.ui.console.actions.ShowStandardErrorAction

All Implemented Interfaces:
  java.util.EventListener, IAction, IPropertyChangeListener

    public class ShowStandardErrorAction
    extends ShowWhenContentChangesAction

Toggles preference show the console when output is written to standard error stream.

Since:
  3.3

### Field Summary

### Fields inherited from interface org.eclipse.jface.action.IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

### Constructor Summary

Constructors
Constructor and Description
`ShowStandardErrorAction(IConsole console)` Constructs an action to toggle console auto activation preferences

### Method Summary

### Methods inherited from class org.eclipse.ease.ui.console.actions.ShowWhenContentChangesAction

`dispose, propertyChange, run`

### Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class org.eclipse.jface.action.AbstractAction

`addPropertyChangeListener, removePropertyChangeListener`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ShowStandardErrorAction

    public ShowStandardErrorAction(IConsole console)

Constructs an action to toggle console auto activation preferences

Parameters:
  `console` -